List scripts
Lists all scripts in the specified instance. Returns summary information (ScriptInfo) without full node/edge data to reduce response size.
Lists all scripts in the specified instance. Returns summary information (ScriptInfo) without full node/edge data to reduce response size.
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
The instance to list scripts from. Format: UUID string.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "http://127.0.0.1:38765/v1/instances/:instance_id/scripts"{ "scripts": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366", "created_at": { "seconds": 0, "nanos": 0 }, "updated_at": { "seconds": 0, "nanos": 0 }, "paused": true } ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}How is this page?
Get server metrics GET
Returns server-level system metrics (CPU, memory, threads, GC, aggregate bots). Supports incremental fetching via the "since" parameter.
Create script POST
Creates a new script in the specified instance. The script can be created with initial nodes and edges, or as a blank script to be edited later.